// #autoload
// #name = UTHeadshotKillSounds
// #version = 0.1
// #date = Jan 24, 2003
// #author = ilys
// #warrior = ilys
// #description = Plays a sound when you get a headshot kill.
// #status = beta
// #category = ilys' Scripts
// #include = support/callback.cs
// #include = support/kill_callbacks.cs
// #include = support/player_support.cs
// #include = support/team_tracker.cs

function UTcheckheadshotkill(%msgtype, %msgstring, %victimName, %victimGender, %victimPoss, %killerName, %killerGender, %killerPoss, %damageType)
{
	%MySelf = PlayerList.getMyName();
	%killer = detag(%killerName);
	%type = detag(%damageType);
	if(%killer $= %MySelf && %type == 6)
	{
		%handle = alxCreateSource(AudioChat, "headshot.wav");
		alxPlay(%handle);
	}
}


package UTHeadshotKillSounds
{
function PlayGui::onWake(%this)
{
	callback.add(CallbackmsgHeadshotKill, "UTcheckheadshotkill");

	parent::onWake(%this);
}
};

activatePackage(UTHeadshotKillSounds);
